### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xintc_i.h File Reference

## Detailed Description

This file contains data which is shared between files and internal to the XIntc component. It is intended for internal use only.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -------------------------------------------------------
     1.00b jhl  02/06/02 First release
     1.00b jhl  04/24/02 Moved register definitions to xintc_l.h
     1.00c rpm  10/17/03 New release. Removed extern of global, single instance
                         pointer.
     1.10c mta  03/21/07 Updated to new coding style

## Variables

XIntc_Config | XIntc_ConfigTable []

## Variable Documentation

XIntc_Config XIntc_ConfigTable[]

This table contains configuration information for each intc device in the system. The XIntc driver must know when to acknowledge the interrupt. The entry which specifies this as a bit mask where each bit corresponds to a specific interrupt. A bit set indicates to ack it before servicing it. Generally, acknowledge before service is used when the interrupt signal is edge-sensitive, and after when the signal is level-sensitive.

Refer to the XIntc_Config data structure in xintc.h for details on how this table should be initialized.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.